* {
    margin: 0;
    padding: 0;
}

body {
    width: 90%;
    margin: 0 auto;
    font-family: Arial, Helvetica, sans-serif;
}

#principal {
    display: grid;
    height: 850px;
    grid-template-columns: repeat(4, 1fr);
    grid-template-rows: repeat(7, 1fr);
    grid-template-areas:
        "p      p      p      p"
        "header menu   menu   menu"
        "hero   hero   hero   hero"
        "hero   hero   hero   hero"
        "main   main   .      image"
        "main   main   .      extra"
        "banner banner banner banner";
}

#principal * {
    display: flex;
    text-align: center;
    flex-direction: column;
    justify-content: center;
}

p {
    text-align: center;
    grid-area: p;
    font-weight: 1000;
}

#tablet {
    display: none;
}

#mobile {
    display: none;
}

header {
    grid-area: header;
    background-color: #10152A;
    color: white;
}

menu {
    grid-area: menu;
    background-color: #EF3D4E;
}

article {
    grid-area: hero;
    background-color: #4D86C6;
}

main {
    grid-area: main;
    background-color: #24354A;
    color: white;
}

#image {
    grid-area: image;
    background-color: #C1E5E6;
}

#extra {
    grid-area: extra;
    background-color: #4DBD97;
}

footer {
    grid-area: banner;
    background-color: #FFD169;
}

@media all and (max-width:900px) {
    #desktop {
        display: none;
    }

    #tablet {
        display: inline;
    }

    #principal {
        grid-template-columns: repeat(5, 1fr);
        grid-template-rows: repeat(8, 1fr);
        grid-template-areas:
            "p      p        p       p      p"
            "header header   header  header header"
            "hero   hero     hero    hero   hero"
            "hero   hero     hero    hero   hero"
            "menu   main     main    main   main"
            "menu   main     main    main   main"
            "menu   banner   banner  banner banner"
            "menu   extra    extra   image  image";
    }
}

@media all and (max-width:600px) {
    #desktop {
        display: none;
    }

    #mobile {
        display: inline;
    }

    #tablet {
        display: none;
    }

    #principal {
        grid-template-columns: repeat(1, 1fr);
        grid-template-rows: repeat(10, 1fr);
        grid-template-areas:
            "p"
            "header"
            "menu"
            "hero"
            "hero"
            "main"
            "main"
            "banner"
            "extra"
            "image";
    }
}